package com.huangx.dubbo.consumer;

import com.alibaba.dubbo.config.annotation.Reference;
import com.huangx.dubbo.hello.HelloService;
import org.springframework.stereotype.Component;

@Component
public class HelloAction {

    /**
     * 通过注解的方式引入远程服务（创建一个远程服务的代理对象）
     */
    @Reference(version = "1.0.0")
    private HelloService helloService;


    public void invoke() {
        while (true) {
            try {
                Thread.sleep(1000);
                // 调用远程方法
                String hello = helloService.sayHello("word");
                System.out.println(hello);
            } catch (Throwable throwable) {
                throwable.printStackTrace();
            }
        }
    }

}
